Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.logging
Class Logging

    java.lang.Object
      org.gradle.api.logging.Logging

    public class Logging

extends Object

The main entry point for Gradle's logging system. Gradle routes all logging via SLF4J. You can use either an SLF4J `Logger` or a Gradle `Logger` to perform logging.

Field Summary
`static Map<Integer,LogLevel>` | `ANT_IVY_2_SLF4J_LEVEL_MAPPER`
`static org.slf4j.Marker` | `LIFECYCLE`
`static org.slf4j.Marker` | `PROGRESS`
`static org.slf4j.Marker` | `PROGRESS_COMPLETE`
`static org.slf4j.Marker` | `PROGRESS_STARTED`
`static org.slf4j.Marker` | `QUIET`

Constructor Summary
`Logging()`

Method Summary
`static Logger` | `getLogger(Class c)` Returns the logger for the given class.
`static Logger` | `getLogger(String name)` Returns the logger with the given name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LIFECYCLE

    public static final org.slf4j.Marker LIFECYCLE

### PROGRESS

    public static final org.slf4j.Marker PROGRESS

### PROGRESS_STARTED

    public static final org.slf4j.Marker PROGRESS_STARTED

### PROGRESS_COMPLETE

    public static final org.slf4j.Marker PROGRESS_COMPLETE

### QUIET

    public static final org.slf4j.Marker QUIET

### ANT_IVY_2_SLF4J_LEVEL_MAPPER

    public static final Map<Integer,LogLevel> ANT_IVY_2_SLF4J_LEVEL_MAPPER

Constructor Detail

### Logging

    public Logging()

Method Detail

### getLogger

    public static Logger getLogger(Class c)

  Returns the logger for the given class.

  Parameters:
    `c` - the class.
  Returns:
    the logger. Never returns null.

### getLogger

    public static Logger getLogger(String name)

  Returns the logger with the given name.

  Parameters:
    `name` - the logger name.
  Returns:
    the logger. Never returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD